Package org.opensaml.core.config.provider

# Class ThreadLocalConfigurationPropertiesHolder

java.lang.Object
org.opensaml.core.config.provider.ThreadLocalConfigurationPropertiesHolder

public final class ThreadLocalConfigurationPropertiesHolder extends Object
A container class for holding a {link `ThreadLocal` copy of a `Properties` instance.

## Field Summary

Fields
Modifier and Type
Field
Description
`private static final ThreadLocal<Properties>`
`PROPERTIES`
ThreadLocal storage for the properties set.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`ThreadLocalConfigurationPropertiesHolder()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static void`
`clear()`
Clear the thread-local configuration Properties instance.
`static Properties`
`getProperties()`
Get the thread-local configuration Properties instance.
`static void`
`setProperties(Properties newProperties)`
Set the thread-local configuration Properties instance.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### PROPERTIES

@Nonnull private static final ThreadLocal<Properties> PROPERTIES
ThreadLocal storage for the properties set.

## Constructor Details

### ThreadLocalConfigurationPropertiesHolder

private ThreadLocalConfigurationPropertiesHolder()
Constructor.

## Method Details

### getProperties

@Nullable public static Properties getProperties()
Get the thread-local configuration Properties instance.

Returns:
  the thread-local Properties

### setProperties

public static void setProperties(@Nullable Properties newProperties)
Set the thread-local configuration Properties instance.

Parameters:
  `newProperties` - the new thread-local Properties instance

### clear

public static void clear()
Clear the thread-local configuration Properties instance.